MyGUI::MemberObsolete< SkinManager > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< SkinManager >:
[legend]

## Public Member Functions

ResourceSkin * | getSkin (std::string_view _name) const
bool | load (const std::string &_file)
void | loadOldSkinFormat (xml::ElementPtr _node, std::string_view _file, Version _version, std::string_view _tag)

## Detailed Description

Definition at line 556 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## getSkin()

ResourceSkin * MyGUI::MemberObsolete< SkinManager >::getSkin | ( | std::string_view | _name | ) | const

Deprecated
  " is deprecated, use : ResourceSkin* SkinManager::getByName(std::string_view _name)"

Definition at line 1002 of file MyGUI_BackwardCompatibility.cpp.

## load()

bool MyGUI::MemberObsolete< SkinManager >::load | ( | const std::string & | _file | ) |

Deprecated
  " is deprecated, use : bool ResourceManager::load(const std::string& _file)"

Definition at line 1006 of file MyGUI_BackwardCompatibility.cpp.

## loadOldSkinFormat()

void MyGUI::MemberObsolete< SkinManager >::loadOldSkinFormat | ( | xml::ElementPtr | _node,
|  | std::string_view | _file,
|  | Version | _version,
|  | std::string_view | _tag )

Definition at line 1010 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp